<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Chat</title>
  <link rel="stylesheet" href="./dist/main.css">
  <script>
    function addAutoResize() {
      var footer = document.getElementById('footer');
      var footerTyper = document.getElementById('footer-typer');
      var messageContainer = document.getElementById('message-container');
      document.querySelectorAll('[data-autoresize]').forEach(function (element) {
        element.style.boxSizing = 'border-box';
        var offset = element.offsetHeight - element.clientHeight;
        element.addEventListener('input', function (event) {
          var currentHeight = parseInt(event.target.style.height);
          if (false && currentHeight >= 363) {
            return;
          }
          event.target.style.height = 'auto';
          footerTyper.style.height = 'auto';
          footer.style.height = 'auto';
          event.target.style.height = event.target.scrollHeight + offset + 1 + 'px';
          footerTyper.style.height = event.target.scrollHeight + offset + 28 + 'px';
          footer.style.height = event.target.scrollHeight + offset + 57 +'px';
          messageContainer.style.paddingBottom = event.target.scrollHeight + offset + 57 +'px';
        });
        element.removeAttribute('data-autoresize');
      });
    }

    window.onload = () => {
      addAutoResize();
    }
  </script>
</head>
<body>

    <div class="header">

      <div class="header-up">
        <div class="header-up__arrow">
          <svg class="icon icon--arrow" viewBox="0 0 24 24" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
              <g id="directional" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                  <g id="arrow-left" fill="#000000">
                      <polygon id="Shape" points="15 4 17 6 11 12 17 18 15 20 7 12"></polygon>
                  </g>
              </g>
          </svg>
        </div>
        <div class="header-up__avatar">
          <img src=".\images\man.png" class="avatar avatar--male" alt="avatar">
        </div>
        <div class="header-up__avatar-name">
          <span>Victor Josef</span>
        </div>
        <div class="header-up__language-list">
          <select name="selection" class="list">
            <option value="English">English</option>
            <option value="Russian">Russian</option>
            <option value="Spanish">Spanish</option>
            <option value="Italian">Italian</option>
          </select>
        </div>
      </div>

      <div class="header-down">
        <div class="header-down__text">
          <p>Auto English Translation</p>
        </div>
        <div class="header-down__icon-phone">
            <span class="icon icon--phone"></span>
        </div>
        <div class="header-down__icon-camera">
            <span class="icon icon--camcorder"></span>
        </div>
      </div>
    </div>

    <div class="message-container" id="message-container">

      <div class="message">
        <div class="message__avatar">
          <img src=".\images\woman.png" alt="avatar" class="avatar avatar--female">
        </div>
        <div class="message__wrapper">
          <div class="message__text">Hi Victor! I'm Vanessa Jones.</div>
          <div class="message__subtext">Urdu to English</div>
        </div>
      </div>

      <div class="message message--right">
        <div class="message__wrapper">
          <div style="color:white; background:rgb(91,97,185);" class="message__text">Hello Vanessa, I know you.</div>
        </div>
        <div class="message__status">
            <span class="icon icon--sent"></span>
        </div>
      </div>

      <div class="message">
        <div class="message__avatar">
          <img src=".\images\woman.png" alt="avatar" class="avatar avatar--female">
          </div>
        <div class="message__wrapper">
          <div class="message__text">We talked about a project on LInkedin.</div>
          <div class="message__subtext">Urdu to English</div>
        </div>
      </div>

      <div class="message message--right">
        <div class="message__wrapper">
          <div style="color:white; background:rgb(91,97,185);" class="message__text">Yeah, I have some questions.</div>
        </div>
        <div class="message__status">
          <span class="icon icon--sent"></span>
        </div>
      </div>

      <div class="message">
        <div class="message__avatar">
          <img src=".\images\woman.png" alt="avatar" class="avatar avatar--female">
          </div>
        <div class="message__wrapper">
          <div class="message__text">Sure, you can ask me.</div>
          <div class="message__subtext">Urdu to English</div>
        </div>
      </div>

      <div class="message message--right">
        <div class="message__wrapper">
          <div style="color:white; background:rgb(91,97,185);" class="message__text">Are you happy to use this app?</div>
        </div>
        <div class="message__status">
          <span class="icon icon--sent"></span>
        </div>
      </div>

      <!-- <div class="message">
        <div class="message__avatar">
          <img src=".\images\woman.png" alt="avatar" class="avatar avatar--female">
          </div>
        <div class="message__wrapper">
          <div class="message__text">Lorem, ipsum dolor sit amet consectetur adipisicing elit. Debitis, id. Cupiditate earum sequi impedit eaque assumenda, modi debitis repudiandae ducimus illum, doloribus quaerat exercitationem numquam!</div>
          <div class="message__subtext">Urdu to English</div>
        </div>
      </div>

      <div class="message message--right">
        <div class="message__wrapper">
          <div style="color:white; background:rgb(91,97,185);" class="message__text">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat debitis illum provident molestias eum? Aliquam voluptate tempora praesentium ipsam iusto quam, tenetur, nulla, fugit ut dolorum tempore qui velit? Quia dicta numquam eligendi non eum esse dolore ratione, laboriosam quisquam!</div>
        </div>
        <div class="message__status">
          <span class="icon icon--sent"></span>
        </div>
      </div> -->

      <div class="message message--right">
        <div class="message__wrapper">
          <!-- <img src=".\images\emoji.png" class="emoji" alt="emoji"> -->
          <div class="sprite_emoji"></div>
        </div>
        <div class="message__status">
          <span class="icon icon--sent"></span>
        </div>
      </div>
      <div class="message__seen">Seen</div>
    </div>

    <footer class="footer" id="footer">
        <div class="footer-typer" id="footer-typer">
          <div class="footer-typer__left-icon">
              <span class="icon icon--smile"></span>
        </div>
        <textarea data-autoresize rows="1" placeholder="Type a message" class="footer-typer__input"></textarea>
        <div class="footer-typer__right-icon">
            <span class="icon icon--camera"></span>
        </div>
      </div>
      <div class="footer__icon-heart">
            <span class="icon icon--heart"></span>
      </div>
    </footer>

  </body>
  </html>